Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Ignore PyGIWarning #333

Merged
merged 1 commit into from Apr 30, 2016

Conversation

@giuseppe
Copy link
Contributor

commented Apr 27, 2016

It solves this error when running PyLint on a file which uses gi introspection:

/usr/lib/python2.7/site-packages/astroid/brain/brain_gi.py:136: PyGIWarning: OSTree was
imported without specifying a version first. Use gi.require_version('OSTree', '1.0') before
import to ensure that the right version gets loaded.

Signed-off-by: Giuseppe Scrivano gscrivan@redhat.com

Ignore PyGIWarning
It solves this error when running PyLint on a file which uses gi introspection:

/usr/lib/python2.7/site-packages/astroid/brain/brain_gi.py:136: PyGIWarning: OSTree was \
imported without specifying a version first. Use gi.require_version('OSTree', '1.0') before \
import to ensure that the right version gets loaded.

Signed-off-by: Giuseppe Scrivano <gscrivan@redhat.com>
@PCManticore

This comment has been minimized.

Copy link
Member

commented Apr 30, 2016

Thanks. The patch looks good.

@PCManticore PCManticore merged commit ecb3de0 into PyCQA:master Apr 30, 2016

0 of 2 checks passed

continuous-integration/appveyor/pr AppVeyor build failed
Details
continuous-integration/travis-ci/pr The Travis CI build failed
Details
hroncok pushed a commit to hroncok/python2-astroid that referenced this pull request May 16, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.